Page 1 of 1

UsePNGImageDecoder()

Posted: Sun Apr 26, 2020 11:16 pm
by arma
Hello everybody;

I use Ubuntu 16.04 - 64bit O.S. I used to use PB v5.71 until now... I had no problem. I wanted to try v5.72 on my system. Mostly works fine. But i noticed if i use this command "UsePNGImageDecoder()" on my source, I get error message!
I think this is related to libpng, But until now i couldn't find any solution yet. Is there any body knows how to fix this?

The Error Message is...
"/home/arma/purebasic.lts/purelibraries/linux/libraries/libpbpng.a(pngrutil.o): In function `png_inflate_claim':
pngrutil.c:(.text+0x343): undefined reference to `inflateValidate'
collect2: error: ld returned 1 exit status"

Thank YOU!